GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- e
- f
- g
- i
- k
- l
- m
- p
- r
- s
- t
- v

### - a -

- ArrayIncludeMacrosType : gdcm::Macro , gdcm::Module
- ArrayType : gdcm::Attribute< Group, Element, TVR, VM::VM1 > , gdcm::Attribute< Group, Element, TVR, TVM > , gdcm::Attribute< Group, Element, TVR, VM::VM1_n >

### - c -

- ColorArray : gdcm::SurfaceHelper
- const : gdcm::SOPClassUIDToIOD
- const_iterator : gdcm::CodeString , gdcm::LO , gdcm::String< TDelimiter, TMaxLength, TPadChar >
- const_reference : gdcm::LO , gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString
- const_reverse_iterator : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO
- ConstIterator : gdcm::CSAHeaderDict , gdcm::DataSet , gdcm::SequenceOfItems , gdcm::Dict , gdcm::Scanner , gdcm::SequenceOfFragments

### - d -

- DataElementSet : gdcm::DataSet
- DataPtr : gdcm::CSAElement
- Description : gdcm::ModuleEntry
- difference_type : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO

### - e -

- EndElementHandler : gdcm::Parser

### - f -

- FilenamesType : gdcm::Directory , gdcm::FilenameGenerator , gdcm::DICOMDIRGenerator
- FilenameType : gdcm::Directory , gdcm::FilenameGenerator , gdcm::DICOMDIRGenerator
- FilesType : gdcm::FileSet
- FileType : gdcm::FileSet
- FragmentVector : gdcm::SequenceOfFragments

### - g -

- GroupStringVector : gdcm::GroupDict

### - i -

- IODMapType : gdcm::IODs
- IODMapTypeConstIterator : gdcm::IODs
- IODName : gdcm::IODs
- ItemVector : gdcm::SequenceOfItems
- Iterator : gdcm::Dict , gdcm::CSAHeaderDict
- iterator : gdcm::LO , gdcm::CodeString , gdcm::String< TDelimiter, TMaxLength, TPadChar >
- Iterator : gdcm::SequenceOfItems , gdcm::SequenceOfFragments , gdcm::DataSet

### - k -

- KeyValuePairArrayType : gdcm::CompositeNetworkFunctions
- KeyValuePairType : gdcm::CompositeNetworkFunctions

### - l -

- LUTPtr : gdcm::Bitmap , gdcm::ImageCodec

### - m -

- MapCSAHeaderDictEntry : gdcm::CSAHeaderDict
- MapDictEntry : gdcm::Dict
- MapIODEntry : gdcm::IOD
- MapModuleEntry : gdcm::Macro , gdcm::Module
- MappingType : gdcm::Scanner
- MapTableEntry : gdcm::Table
- MD5DataImagesType : gdcm::Testing
- MD5MetaImagesType : vtkGDCMTesting
- MediaStorageDataFilesType : gdcm::Testing
- ModuleMapType : gdcm::Modules , gdcm::Macros

### - p -

- Parent : gdcm::Element< TVR, VM::VM1_2 > , gdcm::Element< TVR, VM::VM2_n > , gdcm::Element< TVR, VM::VM3_n > , gdcm::Element< TVR, VM::VM3_3n > , gdcm::Element< TVR, VM::VM2_2n >
- pointer : gdcm::CodeString , gdcm::LO , gdcm::String< TDelimiter, TMaxLength, TPadChar >
- PresentationContextArrayType : gdcm::network::AAssociateRQPDU , gdcm::PresentationContextGenerator
- PrimitivesData : gdcm::MeshPrimitive

### - r -

- reference : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO
- reverse_iterator : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO

### - s -

- SegmentMap : gdcm::SegmentReader
- SegmentVector : gdcm::SegmentReader , gdcm::SegmentWriter
- SelectionMap : gdcm::Sorter
- Self : gdcm::ProgressEvent , gdcm::DataSetEvent , gdcm::MemberCommand< T > , gdcm::AnonymizeEvent , gdcm::SimpleMemberCommand< T > , gdcm::DataEvent
- SerieRestrictions : gdcm::SerieHelper
- SingleSerieUIDFileSetmap : gdcm::SerieHelper
- size_type : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO
- SizeType : gdcm::PresentationContextGenerator , gdcm::FilenameGenerator , gdcm::DataSet , gdcm::SequenceOfFragments , gdcm::SequenceOfItems , gdcm::IOD , gdcm::NestedModuleEntries , gdcm::network::AAssociateACPDU , gdcm::network::PresentationContextRQ , gdcm::PresentationContext , gdcm::network::PDataTFPDU , gdcm::network::AAssociateRQPDU
- SortFunction : gdcm::Sorter
- StartElementHandler : gdcm::Parser
- Superclass : gdcm::DataSetEvent , gdcm::LO , gdcm::AnonymizeEvent , gdcm::ProgressEvent , gdcm::DataEvent
- SurfaceVector : gdcm::Segment

### - t -

- TagToValue : gdcm::Scanner
- TagToValueValueType : gdcm::Scanner
- TConstMemberFunctionPointer : gdcm::MemberCommand< T >
- TMemberFunctionPointer : gdcm::MemberCommand< T > , gdcm::SimpleMemberCommand< T >
- TransferSyntaxArrayType : gdcm::PresentationContext
- TransferSyntaxStringsType : gdcm::UIDs
- Type : gdcm::VL , gdcm::Element< TVR, VM::VM1_n > , gdcm::Element< TVR, TVM >

### - v -

- value_type : gdcm::String< TDelimiter, TMaxLength, TPadChar > , gdcm::CodeString , gdcm::LO
- ValuePtr : gdcm::DataElement
- ValuesType : gdcm::Scanner